ezmlm-warn(1)

NAME
ezmlm-warn - send out bounce warnings

SYNOPSIS
ezmlm-warn [ -dD ][ -t timeout ][ -l lockout ] dir

DESCRIPTION
ezmlm-warn sends out warning messages for the mailing list stored in dir. ezmlm-warn scans dir/bounce/d/ for directories older than timeout days ago (see -t). The directories are created by ezmlm-return and contain bounces. If ezmlm-warn sees a distribution bounce for box@domain received more than timeout days ago, it sends box@domain a list of all the message numbers missed recently, and deletes the bounce. If it sees a warning bounce for box@domain received more than timeout days ago, it sends box@domain a probe, and deletes the bounce. ezmlm-warn uses dir/bounce/lastd to keep track of when it was last run. If insufficient time has passed (see -l) ezmlm-warn exits without further action. ezmlm-warn keeps files with the bounced message numbers in dir/bounce/h. Expired files are removed and dir/bounce/lasth keeps track of the last subdirectory scanned. ezmlm-warn will not send a warning or probe to an address that is not currently a subscriber. If neither the -d nor the -D option is given to ezmlm-warn, it will process bounces for both the main and digest lists. ezmlm-warn reads dir/copylines to determine how many lines of the original message to copy into the outgoing message. If this file is empty or not present, a value of 0 is presumed, meaning that only the header is copied. If dir/nowarn exists, ezmlm-warn exits without taking any action. If dir/qmqpservers exists, ezmlm-warn will use qmail-qmqp(1) to send messages.

OPTIONS

-d  process bounces only for the digest list. Digest list bounces are stored in dir/digest/bounce/ rather than in dir/bounce/.

-D  Process bounces only for the main list.

-l lockout
    ezmlm-warn will abort execution if it was run less than lockout seconds ago. The default is timeout / 50, which with the default timeout is 20,000 seconds (approx. 5.6 hours). There is no reason to use this switch, except for testing and possibly in combination with -t.

-t timeout
    Bounces received more than timeout days ago are processed. This overrides the default of 10 days and may possibly be useful for very large busy lists. Also, a timeout of zero can be used to send a warning to all addresses for which a bounce has been received and a probe for all addresses for which a warning has bounces. This is useful to rapidly clear out bouncing addresses from a (low quality) address list.

SEE ALSO
ezmlm-make(1), ezmlm-return(1), ezmlm(5)